/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

# ifndef _GP2X_CHESS_H_
# define _GP2X_CHESS_H_

# define GP2X_CHESS_MIN_TIME         200000
# define GP2X_CHESS_MIN_ANALOG_TIME  150000

  extern int psp_chess_load_sgf(char *user_filename);
  extern void psp_chess_new_game();
  extern void psp_chess_set_move_mode(int mode);
  extern int psp_chess_save_pgn(char* pgn_filename);
  extern int psp_chess_append_pgn(char* pgn_filename);

# define CHESS_BISHOP       0
# define CHESS_KING         1
# define CHESS_KNIGHT       2
# define CHESS_PAWN         3
# define CHESS_QUEEN        4
# define CHESS_ROOK         5
# define CHESS_MAX_PIECE    6

# endif
